# Fetch an embedded payments transaction

This endpoint is used for retrieving an Embedded Payments transaction.

Endpoint: GET /tap-to-pay/merchants/{merchantId}/transactions/{transactionId}
Version: 1.0
Security: JWT

## Header parameters:

  - `Authorization` (string, required)

## Response 200 fields (application/json):

  - `transactionId` (string)
    The ID for this transaction

  - `transactionLocalDateTime` (string)
    The time the transaction was created. The format of the date time is the notation as defined by [RFC 3339, section 5.6](https://tools.ietf.org/html/rfc3339#section-5.6)
    Example: "2023-05-02T08:28:13"

  - `reference` (string)
    The unique reference supplied by the partner to initialize this transaction.

  - `transactionReference` (string)
    The terminalStan ID associated with this transaction.

  - `locationId` (string)
    The locationId that was used for this transaction.
    Example: "tc-exampleshop-3000"

  - `mid` (string)
    The merchant id.

  - `tid` (string)
    The terminal id.

  - `amount` (number)
    The amount (in cents) being paid for the goods and services.

  - `paymentType` (string)
    The payment type
    Enum: "Purchase", "Refund"

  - `surchargeAmount` (number)
    Surcharge amount in cents.

  - `tipAmount` (number)
    Tip amount in cents.

  - `elidedPan` (string)
    The last four digits of the PAN number.

  - `cardType` (string)
    The card type that was used, e.g. Visa

  - `approvalCode` (string)
    Approval code.

  - `transactionResult` (string)
    Transaction result.
    Example: "APPROVED"

  - `retrievalReferenceNumber` (string)
    Retrieval reference number.

  - `customerReceipt` (string)
    Customer receipt.
    Example: "      Example Restaurant\n        55 Market St\n       Sydney NSW 2000\n\n    Tyro Payments EFTPOS\n\nVisa DEBIT\nAID: A0000000031010\nCard: XXXXXXXXX2989(T)\nPSN: 00, ATC: 0007\nTVR: 0000000000\n\nPurchase     AUD       $4.55\n----------------------------\nTotal        AUD       $4.55\n\nAPPROVED                  00\n\nTerminal ID: 4\nTransaction Ref: 395001\nAuthorisation No: 000184\n02 Apr 2024 at 04:52 PM"


## Response 403 fields
